%define	upstream_name ess
%define	upstream_version 12.09-1
# (lm) disable xemacs-ess build for now. extract of upstream requirements in ANNOUNCE:
# Due to XEmacs lacking some features that ESS requires, ESS support of XEmacs ends with ESS 12.04-4.
# This decision will be re-visited in the future as XEmacs continues to sync with GNU Emacs.
# xemacs-ess is now built separatly in xemacs-ess from ess-12.04-4
%define	build_xemacs_ess 0

%if %{build_xemacs_ess}
%define xemacs_name xemacs-%{upstream_name}
%endif

Summary:	Emacs Speaks Statistics package for Emacs
Name:		emacs-%{upstream_name}
Version:	12.09.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Editors
URL:		http://ess.r-project.org
Source0:	http://ess.r-project.org/downloads/ess/%{upstream_name}-%{upstream_version}.tgz
BuildRequires:	emacs-X11
BuildRequires:	emacs-el
BuildRequires:	texinfo
BuildRequires:	R-base
Requires:	emacs
Requires:	emacs-el
BuildArch:	noarch

%description
This package provides Emacs Speaks Statistics (ESS), which provides
Emacs-based front ends for popular statistics packages.

ESS provides an intelligent, consistent interface between the user and
the software.  ESS interfaces with S-PLUS, R, SAS, BUGS and other
statistical analysis packages under the Unix, Microsoft Windows, and
Apple Mac OS operating systems.  ESS is a package for the GNU Emacs
and XEmacs text editors whose features ESS uses to streamline the
creation and use of statistical software.  ESS knows the syntax and
grammar of statistical analysis packages and provides consistent
display and editing features based on that knowledge.  ESS assists in
interactive and batch execution of statements written in these
statistical analysis languages.

%package doc
Summary:	Emacs Speaks Statistics Documentation
Group:		Editors

%description doc
This package provides documentation for Emacs Speaks Statistics (ESS).

ESS provides an intelligent, consistent interface between the user and
the software.  ESS interfaces with S-PLUS, R, SAS, BUGS and other
statistical analysis packages under the Unix, Microsoft Windows, and
Apple Mac OS operating systems.  ESS is a package for the GNU Emacs
and XEmacs text editors whose features ESS uses to streamline the
creation and use of statistical software.  ESS knows the syntax and
grammar of statistical analysis packages and provides consistent
display and editing features based on that knowledge.  ESS assists in
interactive and batch execution of statements written in these
statistical analysis languages.

%if %{build_xemacs_ess}
%package -n %{xemacs_name}
Summary:	Emacs Speaks Statistics package for XEmacs
Group:		Editors
BuildRequires:	xemacs
BuildRequires:	xemacs-el
BuildRequires:	texinfo
BuildRequires:	R-base
Requires:	xemacs
Requires:	xemacs-el

%description -n %{xemacs_name}
This package provides Emacs Speaks Statistics (ESS) for XEmacs, which provides
XEmacs-based front ends for popular statistics packages.

ESS provides an intelligent, consistent interface between the user and
the software.  ESS interfaces with S-PLUS, R, SAS, BUGS and other
statistical analysis packages under the Unix, Microsoft Windows, and
Apple Mac OS operating systems.  ESS is a package for the GNU Emacs
and XEmacs text editors whose features ESS uses to streamline the
creation and use of statistical software.  ESS knows the syntax and
grammar of statistical analysis packages and provides consistent
display and editing features based on that knowledge.  ESS assists in
interactive and batch execution of statements written in these
statistical analysis languages.
%endif

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod u+w doc/{html,info,refcard,dir.txt} # fix perms
%if %{build_xemacs_ess}
cp -Rp lisp lisp-xemacs
%endif

%build
%make \
	PREFIX=%{_prefix} \
	LISPDIR=%{_datadir}/emacs/site-lisp/%{upstream_name} \
	ETCDIR=%{_datadir}/emacs/site-lisp/%{upstream_name}/etc \
	INFODIR=%{_infodir}

%if %{build_xemacs_ess}
pushd lisp-xemacs
%make \
	EMACS=xemacs \
	PREFIX=%{_prefix} \
	LISPDIR=%{_datadir}/xemacs/site-lisp/%{upstream_name} \
	ETCDIR=%{_datadir}/xemacs/site-lisp/%{upstream_name}/etc \
	INFODIR=%{_infodir}
popd

# create an init file that is loaded when a user starts up emacs to
# tell emacs to autoload our package's Emacs code when needed

cat > %{xemacs_name}.el <<"EOF"
;;; Set up %{upstream_name} for XEmacs.
;;;
;;; This file is automatically loaded by emacs's site-start.el
;;; when you start a new emacs session.
(if (string-match "XEmacs" emacs-version) (progn (add-path "/usr/share/xemacs/site-lisp/ess")
						(require 'ess-site)))
EOF
%endif

cat > %{name}.el <<"EOF"
;;; Set up %{upstream_name} for Emacs.
;;;
;;; This file is automatically loaded by emacs's site-start.el
;;; when you start a new emacs session.
(if (not (string-match "XEmacs" emacs-version)) (require 'ess-site))
EOF


%install

install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
install -d %{buildroot}%{_infodir}

%makeinstall_std \
	PREFIX=%{buildroot}%{_prefix} \
	LISPDIR=%{buildroot}%{_datadir}/emacs/site-lisp/%{upstream_name} \
	ETCDIR=%{buildroot}%{_datadir}/emacs/site-lisp/%{upstream_name}/etc \
	INFODIR=%{buildroot}%{_infodir} \
	DOCDIR=%{buildroot}%{_docdir}/%{name}-doc
install -m 0644 %{name}.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/%{upstream_name}/etc/*.BAT
rm -f %{buildroot}%{_datadir}/emacs/site-lisp/%{upstream_name}/etc/*.sparc
rm -f %{buildroot}%{_docdir}/%{name}-doc/*.dvi
rm -f %{buildroot}%{_docdir}/%{name}-doc/*.html

%if %{build_xemacs_ess}
for D in lisp-xemacs etc
do
	pushd $D
	%makeinstall_std \
		EMACS=xemacs \
		PREFIX=%{buildroot}%{_prefix} \
		LISPDIR=%{buildroot}%{_datadir}/xemacs/site-lisp/%{upstream_name} \
		ETCDIR=%{buildroot}%{_datadir}/xemacs/site-lisp/%{upstream_name}/etc \
		INFODIR=%{buildroot}%{_infodir}
	popd
done
install -m 0644 %{xemacs_name}.el %{buildroot}%{_sysconfdir}/emacs/site-start.d/
cp -p %{buildroot}%{_infodir}/%{upstream_name}.info %{buildroot}%{_infodir}/%{xemacs_name}.info
rm -f %{buildroot}%{_datadir}/xemacs/site-lisp/%{upstream_name}/etc/*.BAT
rm -f %{buildroot}%{_datadir}/xemacs/site-lisp/%{upstream_name}/etc/*.sparc
%endif

%post
%_install_info %{upstream_name}

%preun
%_remove_install_info %{upstream_name}

%if %{build_xemacs_ess}
%post -n %{xemacs_name}
%_install_info %{xemacs_name}

%preun -n %{xemacs_name}
%_remove_install_info %{xemacs_name}
%endif


%files
%doc ANNOUNCE ChangeLog README VERSION
%dir %{_datadir}/emacs/site-lisp
%{_datadir}/emacs/site-lisp/%{upstream_name}
%{_infodir}/%{upstream_name}.info.xz
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{name}.el

%files doc
%doc doc/ess-intro-graphs.pdf doc/readme.pdf doc/html

%if %{build_xemacs_ess}
%files -n %{xemacs_name}
%doc ANNOUNCE ChangeLog README VERSION
%dir %{_datadir}/xemacs/site-lisp
%dir %{_datadir}/xemacs/site-lisp/%{upstream_name}
%{_datadir}/xemacs/site-lisp/%{upstream_name}
%{_infodir}/%{xemacs_name}.info.xz
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/%{xemacs_name}.el
%endif




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 12.09.1-3.mga3
+ Revision: 349632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 lmenut <lmenut> 12.09.1-2.mga3
+ Revision: 344492
- clean spec

* Tue Jan 01 2013 lmenut <lmenut> 12.09.1-1.mga3
+ Revision: 337327
- update to 12.09-1
- disable xemacs-ess build
  ESS support of XEmacs is temporarly suspended upstream since ESS-12.09

* Tue Jan 01 2013 lmenut <lmenut> 12.04.4-2.mga3
+ Revision: 337321
- xemacs-ess: rename ess.info to xemacs-ess.info

* Sun Aug 26 2012 lmenut <lmenut> 12.04.4-1.mga3
+ Revision: 284236
- update to 12.04-4

* Sat Sep 24 2011 lmenut <lmenut> 5.14-1.mga2
+ Revision: 147560
- update to 5.14
- clean spec

* Tue Mar 29 2011 lmenut <lmenut> 5.13-3.mga1
+ Revision: 78943
- rebuild with xemacs-ess enable

* Sun Mar 20 2011 lmenut <lmenut> 5.13-2.mga1
+ Revision: 74976
- clean spec file
  - remove buildroot
- don't build xemacs-ess for now
- imported package emacs-ess

